| Home | Libraries | People | FAQ | More

###### http::chunk_header::chunk_header (1 of 5 overloads)

Constructor.

###### Synopsis

    chunk_header(
        std::size_t size);

###### Description

This constructs a buffer sequence representing a chunked-body size and terminating CRLF (`"\r\n"`) with no chunk extensions.

###### Parameters

Name | Description
--- | ---
`size` | The size of the chunk body that follows. The value must be greater than zero.

###### See Also

https://tools.ietf.org/html/rfc7230#section-4.1